

#ifndef XGAMEWORLDSP_H
#define XGAMEWORLDSP_H

#include "xasset.h"
#include "gameworld.h"
#include "xpathdata.h"

class XGameWorldSp : public XAsset
{
public:
    explicit XGameWorldSp();

    void ParseData(QDataStream *aStream) override;

    QString GetName() const;
    void SetName(const QString& name);

private:
    QString mName;
    XPathData path; // Using our new XPathData class instead of PathData struct
};

#endif // XGAMEWORLDSP_H

